# Enum Class FastqConstants.FastqExtensions

java.lang.Object
java.lang.Enum<FastqConstants.FastqExtensions>
htsjdk.samtools.fastq.FastqConstants.FastqExtensions

All Implemented Interfaces:
  `Serializable, Comparable<FastqConstants.FastqExtensions>, Constable`

Enclosing class:
  `FastqConstants`

public static enum FastqConstants.FastqExtensions extends Enum<FastqConstants.FastqExtensions>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BFQ`
`FASTQ`
`FASTQ_GZ`
`FQ`
`FQ_GZ`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtension()`
`static FastqConstants.FastqExtensions`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FastqConstants.FastqExtensions[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FASTQ

public static final FastqConstants.FastqExtensions FASTQ

### FASTQ_GZ

public static final FastqConstants.FastqExtensions FASTQ_GZ

### FQ

public static final FastqConstants.FastqExtensions FQ

### FQ_GZ

public static final FastqConstants.FastqExtensions FQ_GZ

### BFQ

public static final FastqConstants.FastqExtensions BFQ

## Method Details

### values

public static FastqConstants.FastqExtensions[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FastqConstants.FastqExtensions valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getExtension

public String getExtension()